Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui.layout
Class BaseXKeys

    java.lang.Object
      org.basex.gui.layout.BaseXKeys

    public final class BaseXKeys

extends Object

This class offers system-dependent key mappings.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`static int[]` | `CONTEXT` Context menu.
`static int[]` | `COPY` Copy.
`static int[]` | `CUT` Cut.
`static int[]` | `DECFONT` Decrease size.
`static int[]` | `DELLINEEND` Delete line to end.
`static int[]` | `DELLINESTART` Delete line to begin.
`static int[]` | `DELNEXT` Delete.
`static int[]` | `DELNEXTWORD` Delete word.
`static int[]` | `DELPREV` Delete backwards.
`static int[]` | `DELPREVWORD` Delete word backwards.
`static int[]` | `ENTER` Enter.
`static int[]` | `ESCAPE` Escape.
`static int[]` | `FIND` Find search term.
`static int[]` | `FINDNEXT` Find next hit.
`static int[]` | `FINDPREV` Find previous hit.
`static int[]` | `GOBACK` Browse back.
`static int[]` | `GOFORWARD` Browse forward.
`static int[]` | `GOHOME` Browse home.
`static int[]` | `GOUP` Browse up.
`static int[]` | `INCFONT1` Increment size.
`static int[]` | `INCFONT2` Increment size (2nd variant).
`static int[]` | `LINEEND` End of line.
`static int[]` | `LINESTART` Beginning of line.
`static int[]` | `NEXT` Right.
`static int[]` | `NEXTLINE` Down.
`static int[]` | `NEXTPAGE` Page down.
`static int[]` | `NEXTTAB` Next panel.
`static int[]` | `NEXTWORD` Word Right.
`static int[]` | `NORMFONT` Standard size.
`static int[]` | `PASTE` Paste.
`static int[]` | `PREV` Left.
`static int[]` | `PREVLINE` Up.
`static int[]` | `PREVPAGE` Page up.
`static int[]` | `PREVTAB` Previous panel.
`static int[]` | `PREVWORD` Word Left.
`static int[]` | `REDO` Redo.
`static int` | `SC` Shortcut key (CTRL/META).
`static int[]` | `SCROLLDOWN` Scroll down.
`static int[]` | `SCROLLUP` Scroll up.
`static int[]` | `SELECTALL` Select all.
`static int[]` | `SPACE` Space key.
`static int[]` | `TAB` Tab key.
`static int[]` | `TEXTEND` End of text.
`static int[]` | `TEXTSTART` Beginning of text.
`static int[]` | `UNDO` Undo.

Method Summary
`static boolean` | `ignoreTyped(KeyEvent e)` Returns true if a typed key should be ignored.
`static boolean` | `modifier(KeyEvent e)` Returns true if the pressed key is a modifier.
`static boolean` | `pressed(int[] op, KeyEvent e)` Returns true if the specified key combination was pressed.
`static boolean` | `sc(InputEvent e)` Returns true if the system's shortcut key was pressed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SC

    public static final int SC

  Shortcut key (CTRL/META).

### FIND

    public static final int[] FIND

  Find search term.

### FINDNEXT

    public static final int[] FINDNEXT

  Find next hit.

### FINDPREV

    public static final int[] FINDPREV

  Find previous hit.

### SELECTALL

    public static final int[] SELECTALL

  Select all.

### GOBACK

    public static final int[] GOBACK

  Browse back.

### GOFORWARD

    public static final int[] GOFORWARD

  Browse forward.

### GOUP

    public static final int[] GOUP

  Browse up.

### GOHOME

    public static final int[] GOHOME

  Browse home.

### COPY

    public static final int[] COPY

  Copy.

### CUT

    public static final int[] CUT

  Cut.

### PASTE

    public static final int[] PASTE

  Paste.

### UNDO

    public static final int[] UNDO

  Undo.

### REDO

    public static final int[] REDO

  Redo.

### NEXTWORD

    public static final int[] NEXTWORD

  Word Right.

### PREVWORD

    public static final int[] PREVWORD

  Word Left.

### NEXT

    public static final int[] NEXT

  Right.

### PREV

    public static final int[] PREV

  Left.

### PREVLINE

    public static final int[] PREVLINE

  Up.

### NEXTLINE

    public static final int[] NEXTLINE

  Down.

### SCROLLUP

    public static final int[] SCROLLUP

  Scroll up.

### SCROLLDOWN

    public static final int[] SCROLLDOWN

  Scroll down.

### LINESTART

    public static final int[] LINESTART

  Beginning of line.

### LINEEND

    public static final int[] LINEEND

  End of line.

### TEXTSTART

    public static final int[] TEXTSTART

  Beginning of text.

### TEXTEND

    public static final int[] TEXTEND

  End of text.

### PREVPAGE

    public static final int[] PREVPAGE

  Page up.

### NEXTPAGE

    public static final int[] NEXTPAGE

  Page down.

### NEXTTAB

    public static final int[] NEXTTAB

  Next panel.

### PREVTAB

    public static final int[] PREVTAB

  Previous panel.

### DELPREVWORD

    public static final int[] DELPREVWORD

  Delete word backwards.

### DELNEXTWORD

    public static final int[] DELNEXTWORD

  Delete word.

### DELLINESTART

    public static final int[] DELLINESTART

  Delete line to begin.

### DELLINEEND

    public static final int[] DELLINEEND

  Delete line to end.

### DELPREV

    public static final int[] DELPREV

  Delete backwards.

### DELNEXT

    public static final int[] DELNEXT

  Delete.

### ENTER

    public static final int[] ENTER

  Enter.

### ESCAPE

    public static final int[] ESCAPE

  Escape.

### INCFONT1

    public static final int[] INCFONT1

  Increment size.

### INCFONT2

    public static final int[] INCFONT2

  Increment size (2nd variant).

### DECFONT

    public static final int[] DECFONT

  Decrease size.

### NORMFONT

    public static final int[] NORMFONT

  Standard size.

### CONTEXT

    public static final int[] CONTEXT

  Context menu.

### SPACE

    public static final int[] SPACE

  Space key.

### TAB

    public static final int[] TAB

  Tab key.

Method Detail

### pressed

    public static boolean pressed(int[] op,
                                  KeyEvent e)

  Returns true if the specified key combination was pressed.

  Parameters:
    `op` - operation
    `e` - key event
  Returns:
    result of check

### sc

    public static boolean sc(InputEvent e)

  Returns true if the system's shortcut key was pressed.

  Parameters:
    `e` - input event
  Returns:
    result of check

### ignoreTyped

    public static boolean ignoreTyped(KeyEvent e)

  Returns true if a typed key should be ignored.

  Parameters:
    `e` - key event
  Returns:
    result of check

### modifier

    public static boolean modifier(KeyEvent e)

  Returns true if the pressed key is a modifier.

  Parameters:
    `e` - key event
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD